Skip to main content
PATCH
/
api
/
v3
/
companies
/
{id}
Partially update a company (PATCH)
curl --request PATCH \
  --url https://paradigm.lighton.ai/api/v3/companies/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "dpo_email": "jsmith@example.com",
  "max_users": 123,
  "allow_company_admins_to_manage_sso": true,
  "storage_limit_company_ws": 123,
  "storage_limit_personal_ws": 123,
  "storage_limit_custom_ws": 123
}
'
"<unknown>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Body

name
string

Company name

dpo_email
string<email> | null

DPO contact email

max_users
integer | null

Maximum allowed active users for this company

allow_company_admins_to_manage_sso
boolean

Whether company admins can manage SSO configuration

storage_limit_company_ws
integer | null

Company workspace storage limit in MB

storage_limit_personal_ws
integer | null

Personal workspace storage limit in MB

storage_limit_custom_ws
integer | null

Custom workspace storage limit in MB

Response

Company updated successfully